<?php 
if (class_exists('polls'))
{
	$polls = & singleton('polls');
	
	/* Определяем идентификатор опроса */
	$end_array_item = end($GLOBALS['URL_ARRAY']);
	$page = to_str($end_array_item);
	
	$polls_on_page = to_int($GLOBALS['LA']['poll_count']);
	
	/* Определяем номер страницы для показа */
	$end_array_item = end($GLOBALS['URL_ARRAY']);
	
	$page = to_str($end_array_item);
	
	if (ereg("^page-([0-9]*)$", $page, $regs) && to_int($regs[1]) > 0)
	{
		/* Страница умножается на кол-во элементов, выводимых на страницу */
		$polls_begin = ($regs[1] - 1) * $polls_on_page;
	
		/* Если показываем группу, а не элемент, то указываем страницу (страница N), если она не первая */
		//$page_number = "{$property['separator']}{$property['page']} {$regs[1]}";
	}
	else
	{
		$polls_begin = 0;
	}
	
	$GLOBALS['polls_begin'] = $polls_begin;
	
	/* Передан идентификатор опроса, отображаем результаты опроса и/или сообщение о том,
	что ответ принят, или сообщение о невозможности просмотра */
	if (ereg ("^poll-([0-9]*)$", $page, $regs) && to_int($regs[1]) > 0)
	{
		$GLOBALS['poll_id'] = $regs[1];
	
		/* Нажали кнопку "Ответить" */
		if (isset($_POST['vote']))
		{
			/* Получаем данные об опросе */
			$poll_row = $polls->GetPoll($GLOBALS['poll_id']);
	
			/* Идентификатор группы опросов */
			$polls_group_id = to_int($GLOBALS['LA']['polls_group_id']);
	
			$polls_group_row = $polls->GetPollsGroup($polls_group_id);
	
			/* Если опрос найден и его группа принадлежит текущему сайту*/
			if ($poll_row && to_int($polls_group_row['site_id']) == CURRENT_SITE)
			{
				$title = $poll_row['poll_name'];

				$external_propertys = array();

				$poll_reply_id = array();
	
				/* тип опроса - опрос с мультивыбором ответов */
				if ($poll_row['poll_type'])
				{
					/* Получаем все варианты ответов */
					$result = $polls->SelectPollReply4Poll($GLOBALS['poll_id']);
	
					/* в цикле определяем, выбран ли пользователем хотя бы один вариант ответа */
					while ($row = mysql_fetch_assoc($result))
					{
						if (isset($_POST['poll_reply_id'.$row['poll_reply_id']]))
						{
							$poll_reply_id[] = $row['poll_reply_id'];
						}
					}
				}
				/* опрос с одним вариантом ответа */
				else
				{
					$poll_reply_id[] = to_int($_POST['poll_reply_id']);
				}

				/* Если был хотя бы один вариант ответа */
				if (count($poll_reply_id) > 0)
				{
					$GLOBALS['success_vote'] = $polls->IncPollReply($poll_reply_id, $GLOBALS['poll_id']);
				}
			}
		}
	}

	if (isset($title))
	{
		$kernel = & singleton('kernel');
	
		/* Заголовок страницы */
		$kernel->set_title($title);
	
		/* Описание */
		$kernel->set_description($title);
	
		/* Ключевые слова */
		$kernel->set_keywords($title);
	}
}
?>